Page MenuHomePhabricator

csharp: Adding ToString methods to Strbuf and custommarshaler.
ClosedPublic

Authored by brunobelo on Sep 4 2019, 3:01 PM.

Details

Summary

WIN32 should use a allocator and deallocator different from EFL, sometimes, when
freeing a pointer, it should use win32_free. To stardardize, A custommarshaler
is used to fix this problem.

Fixes T8201

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
brunobelo created this revision.Sep 4 2019, 3:01 PM
brunobelo requested review of this revision.Sep 4 2019, 3:01 PM
lauromoura requested changes to this revision.Sep 4 2019, 3:26 PM
lauromoura added inline comments.
src/bindings/mono/eina_mono/eina_strbuf.cs
194

Is this indentation right?

src/bindings/mono/eina_mono/eina_value.cs
178

Shouldn't this one be PassOwnership?

The Pass one means one side is passing the ownership to the other. So in this case the marshaller would free the newly allocated string returned by value_to_string. It is the same scenario as Steal() in buffers.

This revision now requires changes to proceed.Sep 4 2019, 3:26 PM
brunobelo updated this revision to Diff 24773.Sep 5 2019, 5:06 AM

Correcting the MarshalTyperef from Efl.Value.

brunobelo updated this revision to Diff 24784.Sep 5 2019, 12:30 PM
brunobelo marked an inline comment as done.

Changing tabs to spaces.

brunobelo updated this revision to Diff 24857.Sep 9 2019, 1:33 PM

Removing more tabs.

lauromoura accepted this revision.Sep 9 2019, 1:47 PM
lauromoura added inline comments.
src/tests/efl_mono/Strbuf.cs
21

Tabs here ๐Ÿ˜€

This revision is now accepted and ready to land.Sep 9 2019, 1:47 PM
lauromoura added inline comments.Sep 9 2019, 1:58 PM
src/tests/efl_mono/Strbuf.cs
21

Ignore this. It was on the previous revision of this diff.

This revision was automatically updated to reflect the committed changes.